(function() {
  app.PeopleComponent = ng.core
    .Component({
      selector: 'people-list',
      templateUrl: 'people.component.html',
      providers: [ng.http.HTTP_PROVIDERS, app.PeopleService]
    })
    .Class({
      constructor: [app.PeopleService,
        function(_peopleService) {
          this.service = _peopleService;
          
          this.people = [];
          this.message = '';
        }],
      getPeople: function() {
        this.service.get()
                    .subscribe(this.updatePeople.bind(this),
                               this.updateError.bind(this));
      },
      updatePeople: function(people) { 
        this.people = people;
      },
      updateError: function(message) {
        this.message = message;
      },
      ngOnInit: function() {
        this.getPeople();
      }
    });
})(window.app || (window.app = {}));